

# ---- IPAM pipeline

# keyname;description;vlan_id;vlan_familly;subnet
- classname: _pipeline
  keyname: ipam_vlan_csv
  displayname: IPAM VLAN from CSV
  is_enabled: true
  description: Import IPAM VLAN from CSV
  content: |
      csv_delimiter: ';'
      classname: ipam_vlan
      keyfield: keyname
      tasks: 
          #- noop
          - field_copy: ['','keyname', 'displayname']
          #- field_rename: ['', 'vlan_name','keyname']
          #- field_copy: ['','site_name', 'key2']
          #- field_append: ['', 'key2','-']
          #- field_merge: ['','key2', 'vlan_name','key3']
          #- field_append: ['','key3','-']
          #- field_merge: ['', 'key3', 'vlan_id','key4']
          #- field_append: ['','key4','-']
          #- field_merge: ['', 'key4', 'vlan_familly','key5']
          #- field_delete: ['', 'key2','key3','key4']
          #- field_rename: ['', 'key5','displayname']


# keyname;description
# 
- classname: _pipeline
  keyname: ipam_subnet_csv
  displayname: IPAM Subnet from CSV
  is_enabled: true
  description: Import IPAM Subnet from CSV
  content: |
      csv_delimiter: ';'
      classname: ipam_subnet
      keyfield: keyname
      tasks: 
          - field_copy: ['','keyname', 'displayname']
          - field_copy: ['','keyname', 'subnet']